=== debian/changelog ===
gemma (0.97+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest.
  * Add patch for reproducible builds.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 15 Jun 2018 21:46:35 +0200

gemma (0.97+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix VCS field.
  * Update watch file to mangle deb version.
  * Add libgsl-dev, zlib1g-dev and gfortran to Build-Depends (Closes: #900759).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 07 Jun 2018 08:07:15 +0200

gemma (0.97+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #896980).

 -- Steffen Moeller <moeller@debian.org>  Wed, 25 Apr 2018 17:48:45 +0200
