## gemma 0.98+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,12 @@
 #
 # Supported platforms
 #
-#       Unix / Linux               	LNX (default)
-#       Mac                        	MAC
+#       Unix / Linux               LNX (default)
+#       Mac                        MAC
+#       GNU Guix                   GUIX (set to profile)
 #
 # Compilation options
-#       static compilation    		FORCE_STATIC
+#       static compilation         FORCE_STATIC
 #
 # Examples:
 #
@@ -34,6 +35,10 @@
 #
 #      make check-all
 #
+#    To compile with CLANG
+#
+#      make CXX=clang++ check
+#
 #    See also the INSTALL.md document in the source tree at
 #
 #      https://github.com/genetics-statistics/GEMMA/blob/master/INSTALL.md
@@ -41,20 +46,59 @@
 GEMMA_VERSION = $(shell cat ./VERSION)
 
 # Set this variable to either LNX or MAC
-SYS                    = LNX # LNX|MAC (Linux is the default)
+ifeq ($(OS),Windows_NT)
+  SYS = WIN
+  VGEN = scripts/gen_version_info.cmd
+else
+  UNAME_S := $(shell uname -s)
+  ifeq ($(UNAME_S),Darwin)
+    SYS = MAC
+  else
+    SYS = LNX # default to linux
+  endif
+  VGEN = scripts/gen_version_info.sh
+endif
+
 # Leave blank after "=" to disable; put "= 1" to enable
 DIST_NAME              = gemma-$(GEMMA_VERSION)
 DEBUG                  = 1                # DEBUG mode, set DEBUG=0 for a release
+PROFILING              =                  # Add profiling info
 SHOW_COMPILER_WARNINGS =
 WITH_OPENBLAS          = 1                # Without OpenBlas uses LAPACK
+WITH_ATLAS             =                  # In place of OpenBlas(?)
 WITH_LAPACK            =                  # Force linking LAPACK (if OpenBlas lacks it)
 WITH_GSLCBLAS          =                  # Force linking gslcblas (if OpenBlas lacks it)
 OPENBLAS_LEGACY        =                  # Using older OpenBlas
 FORCE_STATIC           =                  # Static linking of libraries
-GCC_FLAGS              = -Wall -O3 -std=gnu++11 # extra flags -Wl,--allow-multiple-definition
+# GCC_FLAGS              = -Wall -O3 -std=gnu++11 # extra flags -Wl,--allow-multiple-definition
+GCC_FLAGS              = -DHAVE_INLINE -pthread -Wall -std=gnu++11 # extra flags -Wl,--allow-multiple-definition
 TRAVIS_CI              =                  # used by TRAVIS for testing
-EIGEN_INCLUDE_PATH     = /usr/include/eigen3
-OPENBLAS_INCLUDE_PATH  = /usr/local/opt/openblas/include
+
+GSL_INCLUDE_PATH =
+ifeq ($(SYS), WIN)
+  GSL_INCLUDE_PATH = -isystemc:/MinGW/include -LC:/MinGW/lib
+  EIGEN_INCLUDE_PATH = ../eigen-git-mirror
+  OPENBLAS_INCLUDE_PATH = ../OpenBLAS-v0.2.19-Win64-int32/include -L../OpenBLAS-v0.2.19-Win64-int32/lib
+else
+  OPENBLAS_INCLUDE_PATH = /usr/local/opt/openblas/include
+  ifeq ($(SYS), MAC)
+    EIGEN_INCLUDE_PATH = /usr/local/include/eigen3
+  else
+    EIGEN_INCLUDE_PATH = /usr/include/eigen3
+  endif
+  ifndef GUIX
+    ifdef GUIX_ENVIRONMENT
+      GUIX=$(GUIX_ENVIRONMENT)
+    endif
+  endif
+  ifdef GUIX
+    # Effectively disable paths for GNU Guix
+    OPENBLAS_INCLUDE_PATH = .
+    EIGEN_INCLUDE_PATH = $(GUIX)/include/eigen3
+    # RPATH = -Xlinker --rpath=$(GUIX)/lib
+    GUIX_PROFILE =$(realpath $(GUIX))
+  endif
+endif
 
 # --------------------------------------------------------------------
 # Edit below this line with caution
@@ -73,24 +117,45 @@
 
 ifeq ($(CPP), clang++)
   # macOS Homebrew settings (as used on Travis-CI)
-  GCC_FLAGS=-O3 -std=c++11 -stdlib=libc++ -isystem/$(OPENBLAS_INCLUDE_PATH) -isystem//usr/local/include/eigen3 -Wl,-L/usr/local/opt/openblas/lib
+  # GCC_FLAGS=-O3 -std=c++11 -stdlib=libc++ -isystem$(OPENBLAS_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Wl,-L/usr/local/opt/openblas/lib
+  GCC_FLAGS=-std=c++11 -isystem$(OPENBLAS_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH)
 endif
 
 ifdef WITH_OPENBLAS
   OPENBLAS=1
   # WITH_LAPACK =  # OPENBLAS usually includes LAPACK
-  CPPFLAGS += -DOPENBLAS -isystem/$(OPENBLAS_INCLUDE_PATH)
+  CPPFLAGS += -DOPENBLAS -isystem$(OPENBLAS_INCLUDE_PATH)
   ifdef OPENBLAS_LEGACY
     # Legacy version (mostly for Travis-CI)
     CPPFLAGS += -DOPENBLAS_LEGACY
   endif
+else
+  ifdef WITH_ATLAS
+    CPPFLAGS += -DUSE_BLAS=atlas
+  endif
+endif
+
+ifeq ($(CXX), clang++)
+  # CPPFLAGS += -isystem$(GUIX)/include/c++ -isystem$(GUIX)/include/c++/x86_64-unknown-linux-gnu
+  ifdef GUIX
+    CPPFLAGS += -I$(GUIX)/include/c++ -I$(GUIX)/include/c++/x86_64-unknown-linux-gnu
+  endif
+  # -L$(GUIX)/lib
 endif
 
 ifdef DEBUG
-  CPPFLAGS += -g $(GCC_FLAGS) -isystem/$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
+  CPPFLAGS += -g -Og $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc $(RPATH)
 else
   # release mode
-  CPPFLAGS += -DNDEBUG $(GCC_FLAGS) -isystem/$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
+  CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc $(RPATH)
+endif
+
+ifdef PROFILING
+  CPPFLAGS += -pg
+endif
+
+ifeq ($(SYS), WIN)
+  CPPFLAGS += -Duint="unsigned int" -D__CRT__NO_INLINE -D__STRING="__STRINGIFY" -DWINDOWS -DWITH_GSLCBLAS=1
 endif
 
 ifdef SHOW_COMPILER_WARNINGS
@@ -98,17 +163,24 @@
 endif
 
 ifndef FORCE_STATIC
-  LIBS = -lgsl -lopenblas -pthread -lz
+  LIBS = -lgsl -lz
+  ifdef WITH_OPENBLAS
+    LIBS += -lopenblas
+  else
+    LIBS += -L$(GUIX_ENVIRONMENT) -latlas -lcblas -llapack -lblas
+  endif
   ifdef WITH_GSLCBLAS
     LIBS += -lgslcblas
   else
     LIBS += -lgfortran -lquadmath
   endif
 else
+  LIBS = -L$(GUIX)/lib -lopenblas -lgsl -lz -lgslcblas -lgfortran -lquadmath
   ifndef TRAVIS_CI # Travis static compile we cheat a little
     CPPFLAGS += -static
   endif
 endif
+
 
 .PHONY: all
 
@@ -126,6 +198,9 @@
 ifdef WITH_LAPACK
   ifeq ($(SYS), MAC)
     LIBS += $(LIBS_MAC_D_LAPACK)
+    ifdef WITH_OPENBLAS
+      LIBS += -Wl,-L/usr/local/opt/openblas/lib
+    endif
   else
     ifndef FORCE_STATIC
       ifdef WITH_OPENBLAS
@@ -148,8 +223,8 @@
 
 all: $(OUTPUT)
 
-./src/version.h:
-	./scripts/gen_version_info.sh > src/version.h
+./src/version.h: ./VERSION
+	$(shell bash $(VGEN) $(GUIX_PROFILE) > src/version.h)
 
 $(OUTPUT): $(OBJS)
 	$(CPP) $(CPPFLAGS) $(OBJS) $(LIBS) -o $(OUTPUT)
@@ -161,7 +236,7 @@
 ./bin/unittests-gemma: contrib/catch-1.9.7/catch.hpp $(TEST_SRC_DIR)/unittests-main.o $(TEST_SRC_DIR)/unittests-math.o $(OBJS)
 	$(CPP) $(CPPFLAGS) $(TEST_SRC_DIR)/unittests-main.o  $(TEST_SRC_DIR)/unittests-math.o $(filter-out src/main.o, $(OBJS)) $(LIBS) -o ./bin/unittests-gemma
 
-unittests: ./bin/unittests-gemma
+unittests: all ./bin/unittests-gemma
 	./bin/unittests-gemma
 
 fast-check: all unittests
@@ -184,7 +259,6 @@
 check-all: check lengthy-check
 
 clean:
-	rm $(SRC_DIR)/version.h
 	rm -vf $(SRC_DIR)/*.o
 	rm -vf $(SRC_DIR)/*~
 	rm -vf $(TEST_SRC_DIR)/*.o
