=== debian/changelog ===
gemma (0.98+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix folder of examples files in autopkgtest (Closes: #907406)
  * Set Multi-Arch: foreign for gemma-doc

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Oct 2018 07:32:31 +0200

gemma (0.98+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix section of doc package

  [ Steffen Moeller ]
  * New upstream release

 -- Steffen Moeller <moeller@debian.org>  Sun, 14 Oct 2018 19:34:47 +0200

gemma (0.97+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Don't link with libquadmath (Thanks for the patch to Adrian Bunk
    <bunk@debian.org>)
    Closes: #902153
  * No parallel test
    Closes: #904854
  * Fix installation of docs
  * debhelper 11
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 17:00:21 +0200
