=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gemma-$1.tar.gz% ,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
   https://github.com/genetics-statistics/gemma/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
