=== debian/changelog ===
gemma (0.98.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Simplify watch file

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 16:16:05 +0100

gemma (0.98+dfsg-3) unstable; urgency=medium

  * Team upload
  * Allow output to stderr in autopkgtests

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Nov 2018 13:33:54 +0000
