=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                gfortran,
                libopenblas-dev,
                libeigen3-dev,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                catch,
                shunit2
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/gemma
 Vcs-Git: https://salsa.debian.org/med-team/gemma.git
 Homepage: http://www.xzlab.org/software.html
@@ -48,6 +48,8 @@
 
 Package: gemma-doc
 Architecture: all
+Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Recommends: gemma
 Description: Example folder for GEMMA
