=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/catch -I/usr/include/eigen
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/catch -I/usr/include/eigen
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f *.log
	rm -rf test/output/
	rm -f bin/gemma

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
endif
