## gemma 0.98.4%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,10 @@
 #    Force static compilation
 #
 #      make static
+#
+#    Static build may require some extra flags
+#
+#      make WITH_GFORTRAN=1 EXTRA_FLAGS=-L/gnu/store/741057r2x06zwg6zcmqmdyv51spm6n9i-gfortran-7.5.0-lib/lib static
 #
 #    Run tests with
 #
@@ -72,19 +76,14 @@
 OPENBLAS_LEGACY        =                  # Using older OpenBlas
 FORCE_STATIC           =                  # Static linking of libraries
 GCC_FLAGS              = -DHAVE_INLINE -pthread -Wall -std=gnu++11 # extra flags -Wl,--allow-multiple-definition
+EXTRA_FLAGS            =
 
 GSL_INCLUDE_PATH =
 ifeq ($(SYS), WIN)
   GSL_INCLUDE_PATH = -isystemc:/MinGW/include -LC:/MinGW/lib
-  EIGEN_INCLUDE_PATH = ../eigen-git-mirror
   OPENBLAS_INCLUDE_PATH = ../OpenBLAS-v0.2.19-Win64-int32/include -L../OpenBLAS-v0.2.19-Win64-int32/lib
 else
   OPENBLAS_INCLUDE_PATH = /usr/local/opt/openblas/include
-  ifeq ($(SYS), OSX)
-    EIGEN_INCLUDE_PATH = /usr/local/include/eigen3
-  else
-    EIGEN_INCLUDE_PATH = /usr/include/eigen3
-  endif
   ifndef GUIX
     ifdef GUIX_ENVIRONMENT
       GUIX=$(GUIX_ENVIRONMENT)
@@ -93,7 +92,6 @@
   ifdef GUIX
     # Effectively disable paths for GNU Guix
     OPENBLAS_INCLUDE_PATH = .
-    EIGEN_INCLUDE_PATH = $(GUIX)/include/eigen3
     # RPATH = -Xlinker --rpath=$(GUIX)/lib
     ifdef FORCE_STATIC
       LIBS = -L$(GUIX)/lib
@@ -118,7 +116,7 @@
 endif
 
 ifeq ($(CPP), clang++)
-  GCC_FLAGS=-std=c++11 -isystem$(OPENBLAS_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH)
+  GCC_FLAGS=-std=c++11 -isystem$(OPENBLAS_INCLUDE_PATH)
   ifdef GUIX
     CPPFLAGS += -I$(GUIX)/include/c++ -I$(GUIX)/include/c++/x86_64-unknown-linux-gnu
   endif
@@ -139,17 +137,17 @@
 endif
 
 ifneq ($(CXX), clang++)
-  # Clang does not like this switch
-  debug check fast-check: CPPFLAGS += -Og
-endif
-
-debug check fast-check: CPPFLAGS += -g $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
+  # Clang does not like these switches
+  debug check fast-check: CPPFLAGS += -Og -Wfatal-errors
+endif
+
+debug check fast-check: CPPFLAGS += -g $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
 
 profile: CPPFLAGS += -pg
 
-release: CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
-
-static: CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -isystem$(EIGEN_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
+release: CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
+
+static: CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
 
 
 ifeq ($(SYS), WIN)
@@ -165,6 +163,11 @@
 LIBS += -lgsl -lz
 ifdef WITH_OPENBLAS
   LIBS += -lopenblas
+  ifeq ($(SYS), OSX)
+    ifdef WITH_OPENBLAS
+      LIBS += -Wl,-L/usr/local/opt/openblas/lib
+    endif
+  endif
 else
   LIBS += -latlas -lcblas -llapack -lblas
 endif
@@ -173,6 +176,9 @@
 endif
 ifdef WITH_GFORTRAN
   LIBS += -lgfortran -lquadmath
+endif
+ifdef EXTRA_FLAGS
+  LIBS += $(EXTRA_FLAGS)
 endif
 
 .PHONY: all test
