## gemma 0.98.4+dfsg

=== debian/changelog ===
gemma (0.98.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream who explained:
    changed/disabled some other tests (attached).  The problem is that
    different AMD64 CPUs together with OpenBlas simply give different
    results (mostly SIMD differences).
    Closes: #991652

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jul 2021 21:53:57 +0200

gemma (0.98.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Follow upstream suggestion to comment some tests that might fail due
    to some floating point rounding
    Closes: #982692

 -- Andreas Tille <tille@debian.org>  Wed, 07 Apr 2021 16:28:38 +0200

gemma (0.98.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do only one test for armhf to reduce test time
    Closes: #985004

 -- Andreas Tille <tille@debian.org>  Mon, 22 Mar 2021 14:09:15 +0100

gemma (0.98.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 01:29:26 +0530

gemma (0.98.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    Closes: #952190
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Nov 2020 23:07:55 +0100
