=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libopenblas-dev,
                libeigen3-dev,
@@ -11,10 +11,11 @@
                zlib1g-dev,
                catch,
                shunit2
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/gemma
 Vcs-Git: https://salsa.debian.org/med-team/gemma.git
-Homepage: http://www.xzlab.org/software.html
+Homepage: https://www.xzlab.org/software.html
+Rules-Requires-Root: no
 
 Package: gemma
 Architecture: any
