=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                libgsl-dev,
                zlib1g-dev,
                catch,
-               shunit2
-Standards-Version: 4.5.1
+               shunit2,
+               ruby <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/gemma
 Vcs-Git: https://salsa.debian.org/med-team/gemma.git
 Homepage: https://www.xzlab.org/software.html
