## gemma 0.98.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -143,7 +143,7 @@
 
 debug check fast-check: CPPFLAGS += -g $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
 
-profile: CPPFLAGS += -pg
+profile: CPPFLAGS += -g $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
 
 release: CPPFLAGS += -DNDEBUG -O3 $(GCC_FLAGS) $(GSL_INCLUDE_PATH) -Icontrib/catch-1.9.7 -Isrc
 
@@ -181,6 +181,8 @@
   LIBS += $(EXTRA_FLAGS)
 endif
 
+profile: LIBS += -Wl,--no-as-needed -lprofiler -Wl,--as-needed
+
 .PHONY: all test
 
 OUTPUT = $(BIN_DIR)/gemma
@@ -213,7 +215,7 @@
 
 static: $(OUTPUT)
 
-debug: $(OUTPUT)
+debug profile: $(OUTPUT)
 
 ./src/version.h: ./VERSION
 	$(shell bash $(VGEN) $(GUIX_PROFILE) > src/version.h)
@@ -232,23 +234,28 @@
 	./bin/unittests-gemma
 
 fast-check: all unittests
+	rm -vf output/*
+	ruby -Eutf-8 -Itest ./test/dev_tests.rb | tee ./dev_test.log
+
+# Note the following tests are not robust for different architectures
+old-check: all unittests
 	rm -vf test/output/*
-	cd test && ./dev_test_suite.sh | tee ../dev_test.log
-	grep -q 'success rate: 100%' dev_test.log
-
+	cd test && ./dev_test_suite.sh | tee ../test.log
+	grep -q 'success rate: 100%' test.log
+
+# Note the following tests are not robust for different architectures
 slow-check: all
 	rm -vf test/output/*
 	cd test && ./test_suite.sh | tee ../test.log
 	grep -q 'success rate: 100%' test.log
 
+# Note the following tests are not robust for different architectures
 lengthy-check: all
 	rm -vf test/output/*
 	cd test && ./lengthy_test_suite.sh | tee ../lengthy_test.log
 	grep -q 'success rate: 100%' lengthy_test.log
 
-check: fast-check slow-check
-
-check-all: check lengthy-check
+check: fast-check
 
 clean:
 	rm -vf $(SRC_DIR)/*.o
