=== debian/changelog ===
gemma (0.98.5+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:30:54 +0000

gemma (0.98.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Enable hardening
  * Rename autopkgtest script to use a unique name for all our packages
  * Standards-Version: 4.6.0 (routine-update)
  * Build time test is now using ruby

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 07:45:55 +0200
