=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gemma
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
@@ -12,7 +13,7 @@
                catch,
                shunit2,
                ruby <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/gemma
 Vcs-Git: https://salsa.debian.org/med-team/gemma.git
 Homepage: https://www.xzlab.org/software.html
