=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE = 1
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/catch -I/usr/include/eigen
 export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/catch -I/usr/include/eigen
